/*
 * Class TABLE [BOOLEAN, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2034 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2034 [] = {0xFF01,1551,2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2034 [] = {0xFF01,2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2034 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2034 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2034 [] = {0xFF01,2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2034 [] = {0xFF01,2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2034 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2034 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2034 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2034 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2034 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2034 [] = {2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2034 [] = {0xFF01,2033,866,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2034 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2034 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2034 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2034 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2034 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_2034[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2034), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2034), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2034), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2034), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2034), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2034), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2034), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2034), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2034), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2034), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2034), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2034), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2034), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2034), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2034), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2034), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2034), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2034), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2034), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2034(void)
{
	IDSC(desc_2034, 0, 2033);
	IDSC(desc_2034 + 1, 1, 2033);
	IDSC(desc_2034 + 32, 1134, 2033);
	IDSC(desc_2034 + 41, 1135, 2033);
	IDSC(desc_2034 + 50, 916, 2033);
	IDSC(desc_2034 + 56, 778, 2033);
}


#ifdef __cplusplus
}
#endif
